shishi_x509key_default_file_guess(3)

NAME
shishi_x509key_default_file_guess - API function

SYNOPSIS
#include <shishi.h>

char * shishi_x509key_default_file_guess(Shishi * handle);

ARGUMENTS

Shishi * handle
    Shishi library handle create by shishi_init().

DESCRIPTION
Guesses the default X.509 client key filename; it is $HOME/.shishi/client.key.

RETURN VALUE
Returns default X.509 client key filename as a string that has to be deallocated with free() by the caller.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.